com.genesyslab.wfm7.API.service.scheduleTrade750

## Class SchTradeUnansweredHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.scheduleTrade750.SchTradeUnansweredHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeUnansweredHolder
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int[]` | `proposals`
    `private int` | `proposalsNSizeIs`
    `private int[]` | `responses`
    `private int` | `responsesNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeUnansweredHolder()`
    `SchTradeUnansweredHolder(int proposalsNSizeIs, int[] proposals, int responsesNSizeIs, int[] responses)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int[]` | `getProposals()` Gets the proposals value for this SchTradeUnansweredHolder.
    `int` | `getProposalsNSizeIs()` Gets the proposalsNSizeIs value for this SchTradeUnansweredHolder.
    `int[]` | `getResponses()` Gets the responses value for this SchTradeUnansweredHolder.
    `int` | `getResponsesNSizeIs()` Gets the responsesNSizeIs value for this SchTradeUnansweredHolder.
    `int` | `hashCode()`
    `void` | `setProposals(int[] proposals)` Sets the proposals value for this SchTradeUnansweredHolder.
    `void` | `setProposalsNSizeIs(int proposalsNSizeIs)` Sets the proposalsNSizeIs value for this SchTradeUnansweredHolder.
    `void` | `setResponses(int[] responses)` Sets the responses value for this SchTradeUnansweredHolder.
    `void` | `setResponsesNSizeIs(int responsesNSizeIs)` Sets the responsesNSizeIs value for this SchTradeUnansweredHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### proposalsNSizeIs

          private int proposalsNSizeIs

    - #### proposals

          private int[] proposals

    - #### responsesNSizeIs

          private int responsesNSizeIs

    - #### responses

          private int[] responses

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchTradeUnansweredHolder

          public SchTradeUnansweredHolder()

    - #### SchTradeUnansweredHolder

          public SchTradeUnansweredHolder(int proposalsNSizeIs,
                                  int[] proposals,
                                  int responsesNSizeIs,
                                  int[] responses)

  - ### Method Detail

    - #### getProposalsNSizeIs

          public int getProposalsNSizeIs()

      Gets the proposalsNSizeIs value for this SchTradeUnansweredHolder.
      Returns:
        proposalsNSizeIs Proposal array size

    - #### setProposalsNSizeIs

          public void setProposalsNSizeIs(int proposalsNSizeIs)

      Sets the proposalsNSizeIs value for this SchTradeUnansweredHolder.
      Parameters:
        `proposalsNSizeIs` - Proposal array size

    - #### getProposals

          public int[] getProposals()

      Gets the proposals value for this SchTradeUnansweredHolder.
      Returns:
        proposals Trade proposals

    - #### setProposals

          public void setProposals(int[] proposals)

      Sets the proposals value for this SchTradeUnansweredHolder.
      Parameters:
        `proposals` - Trade proposals

    - #### getResponsesNSizeIs

          public int getResponsesNSizeIs()

      Gets the responsesNSizeIs value for this SchTradeUnansweredHolder.
      Returns:
        responsesNSizeIs Response array size

    - #### setResponsesNSizeIs

          public void setResponsesNSizeIs(int responsesNSizeIs)

      Sets the responsesNSizeIs value for this SchTradeUnansweredHolder.
      Parameters:
        `responsesNSizeIs` - Response array size

    - #### getResponses

          public int[] getResponses()

      Gets the responses value for this SchTradeUnansweredHolder.
      Returns:
        responses Trade responses

    - #### setResponses

          public void setResponses(int[] responses)

      Sets the responses value for this SchTradeUnansweredHolder.
      Parameters:
        `responses` - Trade responses

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.